from rest_framework import serializers

from .models import Instance


class InstanceSerializer(serializers.ModelSerializer):
    num_cores = serializers.SerializerMethodField(
        help_text="Number of virtual CPU cores")
    priority = serializers.SerializerMethodField(
        help_text="CPU priority")
    max_ram_size = serializers.SerializerMethodField(
        help_text="Maximum RAM size")

    class Meta:
        model = Instance
        fields = "__all__"

    def get_num_cores(self, obj):
        # get it from the cloud manager
        return 4

    def get_priority(self, obj):
        # get it from the cloud manager
        return 1

    def get_max_ram_size(self, obj):
        # get it from the cloud manager
        return 4096
